Bug 255983

Summary: New port: net/ipinfo-cli: Official Command Line Interface for the IPinfo API
Product: Ports & Packages Reporter: Gabriel Dutra <0xdutra>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0xdutra, diizzy, ygy
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/ipinfo/cli
Attachments:
Description Flags
ipinfo-cli
0xdutra: maintainer-approval+
Fix
none
Update to 2.0.2 none

Description Gabriel Dutra 2021-05-19 00:20:27 UTC
Created attachment 225077 [details]
ipinfo-cli

Tested on

FreeBSD: 14-amd64 14-i386 13-amd64 13-i386 12-amd64 12-i386 11-amd64 11-i386

Portlint: no errors
Comment 1 Daniel Engberg freebsd_committer 2021-05-22 23:53:00 UTC
Quick review on a few things can be tweaked

PORTVERSION --> DISTVERSION
DISTVERSIONPREFIX should be defined before DISTVERSION
You don't need to define GH_ACCOUNT see
https://docs.freebsd.org/en/books/porters-handbook/book.html#makefile-master_sites-github-description
Comment 2 Gabriel Dutra 2021-05-25 01:14:51 UTC
Created attachment 225240 [details]
Fix

Hi Daniel!

I applied your suggestions, please consider a new review.
Comment 3 Guangyuan Yang freebsd_committer 2021-06-08 00:20:17 UTC
(In reply to Gabriel Dutra from comment #2)

The patch looks good to me - the only thing I'd suggest is to have a more enriched pkg-descr than the current one. It should be a couple of full sentences explaining what it is and what its main functionalities are, instead of just duplicating COMMENTS=.

Once this is updated, I can proceed to commit this port. Thanks!
Comment 4 Guangyuan Yang freebsd_committer 2021-08-06 12:22:30 UTC
Friendly ping :)

Also, please submit git diffs in the future, thanks!
Comment 5 Gabriel Dutra 2021-08-13 22:55:42 UTC
Created attachment 227170 [details]
Update to 2.0.2

Hi,

I updated the port to 2.0.2 and changed pkg-descr.

Sorry for the delay.

Portlint: no errors

Tested:

11.4-RELEASE-p12 - amd64, i386
12.1-RELEASE-p13 - amd64, i386
12.2-RELEASE-p9  - amd64, i386
13.0-RELEASE-p3  - amd64, i386
Comment 6 commit-hook freebsd_committer 2021-08-14 00:25:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c6c9e96452b67777205d461a562a58af46963c30

commit c6c9e96452b67777205d461a562a58af46963c30
Author:     Gabriel Dutra <0xdutra@gmail.com>
AuthorDate: 2021-08-14 00:23:27 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-14 00:23:27 +0000

    net/ipinfo-cli: New port

    Official Command Line Interface for the IPinfo API.

    PR:     255983

 net/Makefile                   |  1 +
 net/ipinfo-cli/Makefile (new)  | 42 ++++++++++++++++++++++++++++++++++++++++++
 net/ipinfo-cli/distinfo (new)  | 39 +++++++++++++++++++++++++++++++++++++++
 net/ipinfo-cli/pkg-descr (new) |  4 ++++
 4 files changed, 86 insertions(+)
Comment 7 Guangyuan Yang freebsd_committer 2021-08-14 00:32:53 UTC
Committed, thanks!